{user}: {
  lib,
  pkgs,
  config,
  ...
}:
with lib; {
  options.roles.personal = {
    enable = mkEnableOption "personal packages";
  };

  config = mkIf config.roles.personal.enable {
    roles.gamer.enable = true;

    i18n.supportedLocales = [
      "eo/UTF-8"
      "en_GB.UTF-8/UTF-8"
      "en_US.UTF-8/UTF-8"
    ];

    home-manager.users.${user}.imports = [
      {
        roles.email = {
          enable = true;
          email = "tristan@tristans.cloud";
          terminal = true;
        };

        services.nextcloud-client.enable = true;
        services.gnome-keyring.enable = true;

        home.language = {
          base = "eo.UTF-8";
        };

        home.packages = with pkgs; [
          godot_4
          ardour
          blender
          musescore
          jellyfin-media-player
          monero-gui
          electrum
          xmrig
          transmission-remote-gtk
          krita
          organicmaps
          anki
          hugo
          libsForQt5.neochat
          bookworm
        ];
      }
    ];
  };
}
